Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79043 - Only one CPU recognized after upgrade to 2.4.18-18.7.x
Summary: Only one CPU recognized after upgrade to 2.4.18-18.7.x
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 23:44 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-07 04:01:00 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-04 23:44:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I upgraded the kernel-smp and kernel packages from 2.4.18-3 to 2.4.18-18.7.x 
and now my system boots and runs normally except only one cpu is recognized.  

How reproducible:
Always

Steps to Reproduce:
1.  Only reproducible on the one server, but everytime I reboot it only 
recognizes the 1 CPU

Actual Results:  Only 1 CPU recognized

Expected Results:  Should recognize both CPUs

Additional info:

cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 7
model name      : Pentium III (Katmai)
stepping        : 3
cpu MHz         : 598.157
cache size      : 512 KB
Physical processor ID   : 1600417123
Number of siblings      : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 mmx fxsr sse
bogomips        : 1187.96

I have a nearly identical machine (550MHz instead of 600MHz) that I upgraded 
at the same time which recognizes both CPUs.

The primary difference I notice in the boot log are these lines.
On the non-working server:
Dec  1 13:08:50 server kernel: Local APIC disabled by BIOS -- reenabling.
Dec  1 13:08:50 server keytable: Loading system font:  succeeded
Dec  1 13:08:50 server kernel: Found and enabled local APIC!

On my working server I get the following:
Dec  1 13:08:26 server kernel: Intel MultiProcessor Specification v1.4
Dec  1 13:08:26 server keytable: Loading system font:  succeeded
Dec  1 13:08:26 server kernel:     Virtual Wire compatibility mode.
Dec  1 13:08:26 server kernel: OEM ID: COMPAQ   Product ID: PROLIANT     APIC 
at: 0xFEE00000

Comment 1 Arjan van de Ven 2002-12-05 09:38:37 UTC
can you try adding "noht" to the kernel commandline (the vmlinuz line in
/boot/grub/grub.conf)

Comment 2 Need Real Name 2002-12-07 00:43:23 UTC
I added noht:
kernel /vmlinuz-2.4.18-18.7.xsmp ro root=/dev/ida/c0d0p6 
became:
kernel /vmlinuz-2.4.18-18.7.xsmp ro root=/dev/ida/c0d0p6 noht

Results were the same:
Dec  6 16:36:55 server kernel: Kernel command line: ro root=/dev/ida/c0d0p6 
noht
Dec  6 16:36:55 server kernel: Local APIC disabled by BIOS -- reenabling.
Dec  6 16:36:55 server keytable: Loading keymap:  succeeded
Dec  6 16:36:55 server kernel: Found and enabled local APIC!
Dec  6 16:36:55 server keytable: Loading system font:  succeeded
Dec  6 16:36:55 server kernel: Initializing CPU#0
Dec  6 16:36:55 server kernel: Detected 598.163 MHz processor.
Dec  6 16:36:55 server kernel: Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 
2002 : initialized




Comment 3 Need Real Name 2003-02-07 04:01:00 UTC
I was able to fix this problem by making a change in the bios.  My machine is 
hosted by a provider so I do not know the exact setting but in the Compaq bios 
there was a setting which needed to be set to "Linux"; my bios was set 
to "Unix" not to Linux; after setting to linux it began working.


Note You need to log in before you can comment on or make changes to this bug.